Name:		kxstitch
Summary:	Program to create cross stitch patterns
Version:	2.2.0
%define 	subrel 1
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://www.kde.org/applications/graphics/kxstitch/
Source0:	https://download.kde.org/stable/kxstitch/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(MagickCore)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(x11)
Recommends:	%{name}-handbook

%description
KXStitch is a program that lets you create cross stitch patterns and charts.

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/%{name}/
%{_kf5_iconsdir}/*/*/apps/%{name}.png
%{_kf5_iconsdir}/*/*/actions/%{name}*.png
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svgz
%{_kf5_mandir}/man?/%{name}.*
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/config.kcfg/%{name}.kcfg

#------------------------------------------------------------------------------

%package handbook
Summary:	KXStitch handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description handbook
This package provides the KXStitch handbook.

%files handbook
%doc %{_kf5_docdir}/HTML/*/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man


%changelog
* Sat Feb 27 2021 neoclust <neoclust> 2.2.0-4.1.mga8
+ Revision: 1692863
- Rebuild against new imagemagick

* Thu Dec 17 2020 umeabot <umeabot> 2.2.0-4.mga8
+ Revision: 1658862
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 2.2.0-3.mga8
+ Revision: 1588493
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 2.2.0-2.mga8
+ Revision: 1526817
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Jun 30 2019 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1416359
- new version: 2.2.0

* Sun Mar 31 2019 umeabot <umeabot> 2.1.1-5.mga7
+ Revision: 1383032
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.1-4.mga7
+ Revision: 1298700
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 daviddavid <daviddavid> 2.1.1-3.mga7
+ Revision: 1240558
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Wed May 02 2018 kekepower <kekepower> 2.1.1-2.mga7
+ Revision: 1224487
- Rebuild for ImageMagic 7.0.7.29

* Sun Feb 04 2018 daviddavid <daviddavid> 2.1.1-1.mga7
+ Revision: 1198838
- new version: 2.1.1

* Fri Jan 19 2018 daviddavid <daviddavid> 2.1.0-2.mga7
+ Revision: 1194486
- rebuild for new imagemagick

* Wed Jan 17 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1193986
- new version: 2.1.0

* Wed Dec 27 2017 wally <wally> 2.0.0-3.mga7
+ Revision: 1185712
- rebuild for new imagemagick

* Sun May 28 2017 shlomif <shlomif> 2.0.0-2.mga6
+ Revision: 1105274
- rebuild for new imagemagick lib major + cleanups

* Sun Dec 04 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1072454
- new version: 2.0.0
- port to Kf5/Qt5
- update URL

* Mon Feb 15 2016 umeabot <umeabot> 1.2.0-5.mga6
+ Revision: 960892
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 daviddavid <daviddavid> 1.2.0-4.mga6
+ Revision: 842351
- rebuild for new ImageMagick

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 741206
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 681258
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Aug 20 2014 fwang <fwang> 1.2.0-1.mga5
+ Revision: 665852
- update file list
- 1.2.0

* Sat Oct 19 2013 umeabot <umeabot> 0.9.2-4.mga4
+ Revision: 535198
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.9.2-3.mga4
+ Revision: 481492
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.9.2-2.mga4
+ Revision: 464406
- rebuild for new imagemagick

* Sat Jul 20 2013 wally <wally> 0.9.2-1.mga4
+ Revision: 456451
- imported package kxstitch

